org.mariadb.jdbc.internal.packet.send

## Class SendOldPasswordAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendOldPasswordAuthPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendOldPasswordAuthPacket
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`SendOldPasswordAuthPacket(String password, byte[] seed, int packSeq)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send(OutputStream os)` Send password stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendOldPasswordAuthPacket

    public SendOldPasswordAuthPacket(String password,
                                     byte[] seed,
                                     int packSeq)

### Method Detail

#### send

    public void send(OutputStream os)
              throws IOException

Send password stream.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `os` - database socket
Throws:
  `IOException` - if a connection error occur